<template>
  <div class="banner">
    <el-carousel trigger="click" :autoplay="false" arrow="never" ref="banner">
      <el-carousel-item v-for="(item, index) in bannerList" :key="index">
        <div
          class="banner_content"
          :style="{
            // backgroundImage: 'url(' + baseImg + ')',
            backgroundImage: 'url(' + getUrl(item.pic) + ')',
            backgroundSize: '100% 100%',
            backgroundRepeat: 'no-repeat',
          }"
        >
          <!-- <div class="banner_text" v-html="item.name"></div> -->
        </div>
        <div class="link"></div>
      </el-carousel-item>
    </el-carousel>
  </div>
</template>

<script>
export default {
  name: "Banner",
  props: {
    bannerList: {},
  },
  data() {
    return {
      baseImg: "/images/index/banner.png",
    };
  },
  methods: {
    toggleBanner(i) {
      this.$refs["banner"].setActiveItem(i);
    },
    getUrl(url) {
      let result = "";

      if (!url) {
        result = this.baseImg;
        return result;
      }
      var reg = /^[0-9]/;
      if (reg.test(url)) {
        result = "/httpImage/" + url;
        return result;
      }

      return url;
    },
  },
};
</script>

<style lang="scss" scoped>
.banner {
  position: relative;
  height: 28.18vw;
  min-height: 369px;
  width: 100%;
  min-width: 1280px;
  z-index: -1;
  top: -62px;

  .el-carousel ::v-deep {
    height: 100%;

    .el-carousel__container {
      height: 100%;
    }
  }

  .banner_content {
    height: 100%;
    overflow: hidden;
    .banner_text {
      margin: 0 auto;
      margin-top: 183px;
      width: 1280px;
      color: #fff;
    }
  }

  ::v-deep .el-carousel__indicators {
    display: none;
  }
}
</style>